Loading...
Searching...
No Matches
omAllocDecl.h File Reference

Go to the source code of this file.

## Macros

#define | omTypeAllocBin(type, addr, bin)
#define | omTypeAlloc0Bin(type, addr, bin)
#define | omAllocBin(bin)
#define | omAlloc0Bin(bin)
#define | omTypeAlloc(type, addr, size)
#define | omTypeAlloc0(type, addr, size)
#define | omAlloc(size)
#define | omAlloc0(size)
#define | omTypeReallocBin(o_addr, o_bin, type, addr, bin)
#define | omTypeRealloc0Bin(o_addr, o_bin, type, addr, bin)
#define | omReallocBin(o_addr, o_bin, bin)
#define | omRealloc0Bin(o_addr, o_bin, bin)
#define | omTypeReallocSize(o_addr, o_size, type, addr, size)
#define | omTypeRealloc0Size(o_addr, o_size, type, addr, size)
#define | omReallocSize(addr, o_size, size)
#define | omRealloc0Size(addr, o_size, size)
#define | omTypeRealloc(o_addr, type, addr, size)
#define | omTypeRealloc0(o_addr, type, addr, size)
#define | omRealloc(addr, size)
#define | omRealloc0(addr, size)
#define | omalloc(size)
#define | omalloc0(size)
#define | omreallocSize(addr, o_size, size)
#define | omrealloc0Size(addr, o_size, size)
#define | omrealloc(addr, size)
#define | omrealloc0(addr, size)
#define | omfreeSize(addr, size)
#define | omfree(addr)
#define | omFreeBinAddr(addr)
#define | omFreeBin(addr, bin)
#define | omFreeSize(addr, size)
#define | omFree(addr)
#define | omStrDup(s)
#define | omMemDup(s)
#define | omTypeAllocAligned omTypeAlloc
#define | omTypeAlloc0Aligned omTypeAlloc0
#define | omAllocAligned omAlloc
#define | omAlloc0Aligned omAlloc0
#define | omTypeReallocAlignedSize omTypeReallocSize
#define | omTypeRealloc0AlignedSize omTypeRealloc0Size
#define | omReallocAlignedSize omReallocSize
#define | omRealloc0AlignedSize omRealloc0Size
#define | omTypeReallocAligned omTypeRealloc
#define | omTypeRealloc0Aligned omTypeRealloc0
#define | omReallocAligned omRealloc
#define | omRealloc0Aligned omRealloc0
#define | omMemDupAligned omMemDup
#define | omDebugBinAddrAligned omDebugBinAddr
#define | omDebugAddrAlignedBin omDebugAddrBin
#define | omDebugAddrAlignedSize omDebugAddrSize
#define | omDebugAddrAligned omDebugAddr
#define | omdebugAddrAlignedSize omdebugAddrSize
#define | omdebugAddrAligned omdebugAddr
#define | omCheckBinAddrAligned omCheckBinAddr
#define | omCheckAddrAlignedBin omCheckAddrBin
#define | omCheckAddrAlignedSize omCheckAddrSize
#define | omCheckAddrAligned omCheckAddr
#define | omcheckAddrAlignedSize omcheckAddrSize
#define | omcheckAddrAligned omcheckAddr
#define | omDebugIf(cond, test)
#define | omDebugBinAddr(addr)
#define | omDebugAddrBin(addr, bin)
#define | omDebugBinAddrSize(addr, size)
#define | omDebugAddrSize(addr, size)
#define | omDebugAddr(addr)
#define | omdebugAddrSize(addr, size)
#define | omdebugAddr(addr)
#define | omDebugBin(bin)
#define | omDebugMemory()
#define | omCheckIf(cond, test)
#define | omCheckBinAddr(addr)
#define | omCheckAddrBin(addr, bin)
#define | omCheckBinAddrSize(addr, size)
#define | omCheckAddrSize(addr, size)
#define | omCheckAddr(addr)
#define | omcheckAddrSize(addr, size)
#define | omcheckAddr(addr)
#define | omCheckBin(bin)
#define | omCheckMemory()
#define | omTestIf(cond, statement)

## Functions

omError_t | omTestAddrBin (void *addr, omBin bin, int check_level)
omError_t | omTestBinAddr (void *addr, int check_level)
omError_t | omTestBinAddrSize (void *addr, size_t size, int check_level)
omError_t | omTestAddrSize (void *addr, size_t size, int check_level)
omError_t | omTestAddr (void *addr, int check_level)
omError_t | omtestAddrSize (void *addr, size_t size, int check_level)
omError_t | omtestAddr (void *addr, int check_level)
omError_t | omTestAddrAlignedBin (void *addr, omBin bin, int check_level)
omError_t | omTestAddrAlignedSize (void *addr, size_t size, int check_level)
omError_t | omTestAddrAligned (void *addr, int check_level)
omError_t | omtestAddrAlignedSize (void *addr, size_t size, int check_level)
omError_t | omtestAddrAligned (void *addr, int check_level)
omError_t | omTestBin (omBin bin, int check_level)
omError_t | omTestMemory (int check_level)

## Macro Definition Documentation

## omAlloc

#define omAlloc | ( |  | size | ) |

Value:
_omAlloc(size)
size
int size(const CanonicalForm &f, const Variable &v)
int size ( const CanonicalForm & f, const Variable & v )
Definition cf_ops.cc:600
_omAlloc
OM_INLINE_DECL void * _omAlloc(size_t size)

Definition at line 210 of file omAllocDecl.h.

## omalloc

#define omalloc | ( |  | size | ) |

Value:
_omalloc(size)
_omalloc
OM_INLINE_DECL void * _omalloc(size_t size)

Definition at line 228 of file omAllocDecl.h.

## omAlloc0

#define omAlloc0 | ( |  | size | ) |

Value:
_omAlloc0(size)
_omAlloc0
OM_INLINE_DECL void * _omAlloc0(size_t size)

Definition at line 211 of file omAllocDecl.h.

## omalloc0

#define omalloc0 | ( |  | size | ) |

Value:
_omalloc0(size)
_omalloc0
OM_INLINE_DECL void * _omalloc0(size_t size)

Definition at line 229 of file omAllocDecl.h.

## omAlloc0Aligned

#define omAlloc0Aligned omAlloc0

Definition at line 274 of file omAllocDecl.h.

## omAlloc0Bin

#define omAlloc0Bin | ( |  | bin | ) |

Value:
_omAlloc0Bin(bin)
_omAlloc0Bin
OM_INLINE_DECL void * _omAlloc0Bin(omBin bin)

Definition at line 206 of file omAllocDecl.h.

## omAllocAligned

#define omAllocAligned omAlloc

Definition at line 273 of file omAllocDecl.h.

## omAllocBin

#define omAllocBin | ( |  | bin | ) |

Value:
_omAllocBin(bin)
_omAllocBin
OM_INLINE_DECL void * _omAllocBin(omBin bin)

Definition at line 205 of file omAllocDecl.h.

## omCheckAddr

#define omCheckAddr | ( |  | addr | ) |

Value:
do {} while (0)

Definition at line 328 of file omAllocDecl.h.

## omcheckAddr

#define omcheckAddr | ( |  | addr | ) |

Value:
do {} while (0)

Definition at line 330 of file omAllocDecl.h.

## omCheckAddrAligned

#define omCheckAddrAligned omCheckAddr

Definition at line 302 of file omAllocDecl.h.

## omcheckAddrAligned

#define omcheckAddrAligned omcheckAddr

Definition at line 304 of file omAllocDecl.h.

## omCheckAddrAlignedBin

#define omCheckAddrAlignedBin omCheckAddrBin

Definition at line 300 of file omAllocDecl.h.

## omCheckAddrAlignedSize

#define omCheckAddrAlignedSize omCheckAddrSize

Definition at line 301 of file omAllocDecl.h.

## omcheckAddrAlignedSize

#define omcheckAddrAlignedSize omcheckAddrSize

Definition at line 303 of file omAllocDecl.h.

## omCheckAddrBin

#define omCheckAddrBin | ( |  | addr,
|  |  | bin )

Value:
do {} while (0)

Definition at line 325 of file omAllocDecl.h.

## omCheckAddrSize

#define omCheckAddrSize | ( |  | addr,
|  |  | size )

Value:
do {} while (0)

Definition at line 327 of file omAllocDecl.h.

## omcheckAddrSize

#define omcheckAddrSize | ( |  | addr,
|  |  | size )

Value:
do {} while (0)

Definition at line 329 of file omAllocDecl.h.

## omCheckBin

#define omCheckBin | ( |  | bin | ) |

Value:
do {} while (0)

Definition at line 331 of file omAllocDecl.h.

## omCheckBinAddr

#define omCheckBinAddr | ( |  | addr | ) |

Value:
do {} while (0)

Definition at line 324 of file omAllocDecl.h.

## omCheckBinAddrAligned

#define omCheckBinAddrAligned omCheckBinAddr

Definition at line 299 of file omAllocDecl.h.

## omCheckBinAddrSize

#define omCheckBinAddrSize | ( |  | addr,
|  |  | size )

Value:
do {} while (0)

Definition at line 326 of file omAllocDecl.h.

## omCheckIf

#define omCheckIf | ( |  | cond,
|  |  | test )

Value:
do {} while (0)

Definition at line 323 of file omAllocDecl.h.

## omCheckMemory

#define omCheckMemory | ( |  | ) |

Value:
do {} while (0)

Definition at line 332 of file omAllocDecl.h.

## omDebugAddr

#define omDebugAddr | ( |  | addr | ) |

Value:
do {} while (0)

Definition at line 314 of file omAllocDecl.h.

## omdebugAddr

#define omdebugAddr | ( |  | addr | ) |

Value:
do {} while (0)

Definition at line 316 of file omAllocDecl.h.

## omDebugAddrAligned

#define omDebugAddrAligned omDebugAddr

Definition at line 293 of file omAllocDecl.h.

## omdebugAddrAligned

#define omdebugAddrAligned omdebugAddr

Definition at line 295 of file omAllocDecl.h.

## omDebugAddrAlignedBin

#define omDebugAddrAlignedBin omDebugAddrBin

Definition at line 291 of file omAllocDecl.h.

## omDebugAddrAlignedSize

#define omDebugAddrAlignedSize omDebugAddrSize

Definition at line 292 of file omAllocDecl.h.

## omdebugAddrAlignedSize

#define omdebugAddrAlignedSize omdebugAddrSize

Definition at line 294 of file omAllocDecl.h.

## omDebugAddrBin

#define omDebugAddrBin | ( |  | addr,
|  |  | bin )

Value:
do {} while (0)

Definition at line 311 of file omAllocDecl.h.

## omDebugAddrSize

#define omDebugAddrSize | ( |  | addr,
|  |  | size )

Value:
do {} while (0)

Definition at line 313 of file omAllocDecl.h.

## omdebugAddrSize

#define omdebugAddrSize | ( |  | addr,
|  |  | size )

Value:
do {} while (0)

Definition at line 315 of file omAllocDecl.h.

## omDebugBin

#define omDebugBin | ( |  | bin | ) |

Value:
do {} while (0)

Definition at line 317 of file omAllocDecl.h.

## omDebugBinAddr

#define omDebugBinAddr | ( |  | addr | ) |

Value:
do {} while (0)

Definition at line 310 of file omAllocDecl.h.

## omDebugBinAddrAligned

#define omDebugBinAddrAligned omDebugBinAddr

Definition at line 290 of file omAllocDecl.h.

## omDebugBinAddrSize

#define omDebugBinAddrSize | ( |  | addr,
|  |  | size )

Value:
do {} while (0)

Definition at line 312 of file omAllocDecl.h.

## omDebugIf

#define omDebugIf | ( |  | cond,
|  |  | test )

Value:
do {} while (0)

Definition at line 309 of file omAllocDecl.h.

## omDebugMemory

#define omDebugMemory | ( |  | ) |

Value:
do {} while (0)

Definition at line 318 of file omAllocDecl.h.

## omFree

#define omFree | ( |  | addr | ) |

Value:
__omFree(addr)
__omFree
#define __omFree(addr)
Definition omAllocPrivate.h:298

Definition at line 261 of file omAllocDecl.h.

## omfree

#define omfree | ( |  | addr | ) |

Value:
do {if (addr) omFree(addr);} while (0)
omFree
#define omFree(addr)
Definition omAllocDecl.h:261

Definition at line 237 of file omAllocDecl.h.

## omFreeBin

#define omFreeBin | ( |  | addr,
|  |  | bin )

Value:
__omFreeBinAddr(addr)
__omFreeBinAddr
#define __omFreeBinAddr(addr)
Definition omAllocPrivate.h:163

Definition at line 259 of file omAllocDecl.h.

## omFreeBinAddr

#define omFreeBinAddr | ( |  | addr | ) |

Value:
__omFreeBinAddr(addr)

Definition at line 258 of file omAllocDecl.h.

## omFreeSize

#define omFreeSize | ( |  | addr,
|  |  | size )

Value:
__omFreeSize(addr,size)
__omFreeSize
#define __omFreeSize(addr, size)
Definition omAllocPrivate.h:284

Definition at line 260 of file omAllocDecl.h.

## omfreeSize

#define omfreeSize | ( |  | addr,
|  |  | size )

Value:
do {if (addr && (size!=0)) omFreeSize(addr, size);} while (0)
omFreeSize
#define omFreeSize(addr, size)
Definition omAllocDecl.h:260

Definition at line 236 of file omAllocDecl.h.

## omMemDup

#define omMemDup | ( |  | s | ) |

Value:
_omMemDup(s)
s
const CanonicalForm int s
Definition facAbsFact.cc:51
_omMemDup
OM_INLINE_DECL void * _omMemDup(void *addr)

Definition at line 264 of file omAllocDecl.h.

## omMemDupAligned

#define omMemDupAligned omMemDup

Definition at line 286 of file omAllocDecl.h.

## omRealloc

#define omRealloc | ( |  | addr,
|  |  | size )

Value:
_omRealloc(addr,size)
_omRealloc
OM_INLINE_DECL void * _omRealloc(void *addr, size_t size)

Definition at line 225 of file omAllocDecl.h.

## omrealloc

#define omrealloc | ( |  | addr,
|  |  | size )

Value:
_omrealloc(addr, size)
_omrealloc
OM_INLINE_DECL void * _omrealloc(void *addr, size_t size)

Definition at line 233 of file omAllocDecl.h.

## omRealloc0

#define omRealloc0 | ( |  | addr,
|  |  | size )

Value:
_omRealloc0(addr,size)
_omRealloc0
OM_INLINE_DECL void * _omRealloc0(void *addr, size_t size)

Definition at line 226 of file omAllocDecl.h.

## omrealloc0

#define omrealloc0 | ( |  | addr,
|  |  | size )

Value:
_omrealloc0(addr, size)
_omrealloc0
OM_INLINE_DECL void * _omrealloc0(void *addr, size_t size)

Definition at line 234 of file omAllocDecl.h.

## omRealloc0Aligned

#define omRealloc0Aligned omRealloc0

Definition at line 284 of file omAllocDecl.h.

## omRealloc0AlignedSize

#define omRealloc0AlignedSize omRealloc0Size

Definition at line 279 of file omAllocDecl.h.

## omRealloc0Bin

#define omRealloc0Bin | ( |  | o_addr,
|  |  | o_bin,
|  |  | bin )

Value:
_omRealloc0Bin(o_addr,o_bin,bin)
_omRealloc0Bin
OM_INLINE_DECL void * _omRealloc0Bin(void *addr, omBin old_bin, omBin new_bin)

Definition at line 216 of file omAllocDecl.h.

## omRealloc0Size

#define omRealloc0Size | ( |  | addr,
|  |  | o_size,
|  |  | size )

Value:
_omRealloc0Size(addr,o_size,size)
_omRealloc0Size
OM_INLINE_DECL void * _omRealloc0Size(void *addr, size_t old_size, size_t new_size)

Definition at line 221 of file omAllocDecl.h.

## omrealloc0Size

#define omrealloc0Size | ( |  | addr,
|  |  | o_size,
|  |  | size )

Value:
_omrealloc0Size(addr,o_size,size)
_omrealloc0Size
OM_INLINE_DECL void * _omrealloc0Size(void *addr, size_t old_size, size_t new_size)

Definition at line 232 of file omAllocDecl.h.

## omReallocAligned

#define omReallocAligned omRealloc

Definition at line 283 of file omAllocDecl.h.

## omReallocAlignedSize

#define omReallocAlignedSize omReallocSize

Definition at line 278 of file omAllocDecl.h.

## omReallocBin

#define omReallocBin | ( |  | o_addr,
|  |  | o_bin,
|  |  | bin )

Value:
_omReallocBin(o_addr,o_bin,bin)
_omReallocBin
OM_INLINE_DECL void * _omReallocBin(void *addr, omBin old_bin, omBin new_bin)

Definition at line 215 of file omAllocDecl.h.

## omReallocSize

#define omReallocSize | ( |  | addr,
|  |  | o_size,
|  |  | size )

Value:
_omReallocSize(addr,o_size,size)
_omReallocSize
OM_INLINE_DECL void * _omReallocSize(void *addr, size_t old_size, size_t new_size)

Definition at line 220 of file omAllocDecl.h.

## omreallocSize

#define omreallocSize | ( |  | addr,
|  |  | o_size,
|  |  | size )

Value:
_omreallocSize(addr,o_size,size)
_omreallocSize
OM_INLINE_DECL void * _omreallocSize(void *addr, size_t old_size, size_t new_size)

Definition at line 231 of file omAllocDecl.h.

## omStrDup

#define omStrDup | ( |  | s | ) |

Value:
_omStrDup(s)
_omStrDup
OM_INLINE_DECL char * _omStrDup(const char *s)

Definition at line 263 of file omAllocDecl.h.

## omTestIf

#define omTestIf | ( |  | cond,
|  |  | statement )

Value:
do { if (cond) {statement;}} while (0)

Definition at line 352 of file omAllocDecl.h.

## omTypeAlloc

#define omTypeAlloc | ( |  | type,
|  |  | addr,
|  |  | size )

Value:
__omTypeAlloc(type,addr,size)
__omTypeAlloc
#define __omTypeAlloc(type, addr, size)
Definition omAllocPrivate.h:213

Definition at line 208 of file omAllocDecl.h.

## omTypeAlloc0

#define omTypeAlloc0 | ( |  | type,
|  |  | addr,
|  |  | size )

Value:
__omTypeAlloc0(type,addr,size)
__omTypeAlloc0
#define __omTypeAlloc0(type, addr, size)
Definition omAllocPrivate.h:229

Definition at line 209 of file omAllocDecl.h.

## omTypeAlloc0Aligned

#define omTypeAlloc0Aligned omTypeAlloc0

Definition at line 272 of file omAllocDecl.h.

## omTypeAlloc0Bin

#define omTypeAlloc0Bin | ( |  | type,
|  |  | addr,
|  |  | bin )

Value:
__omTypeAlloc0Bin(type,addr,bin)
__omTypeAlloc0Bin
#define __omTypeAlloc0Bin(type, addr, bin)
Definition omAllocPrivate.h:154

Definition at line 204 of file omAllocDecl.h.

## omTypeAllocAligned

#define omTypeAllocAligned omTypeAlloc

Definition at line 271 of file omAllocDecl.h.

## omTypeAllocBin

#define omTypeAllocBin | ( |  | type,
|  |  | addr,
|  |  | bin )

Value:
__omTypeAllocBin(type,addr,bin)
__omTypeAllocBin
#define __omTypeAllocBin(type, addr, bin)
Definition omAllocPrivate.h:143

Definition at line 203 of file omAllocDecl.h.

## omTypeRealloc

#define omTypeRealloc | ( |  | o_addr,
|  |  | type,
|  |  | addr,
|  |  | size )

Value:
__omTypeRealloc(o_addr,type,addr,size)
__omTypeRealloc
#define __omTypeRealloc(old_addr, new_type, new_addr, new_size)
Definition omAllocPrivate.h:348

Definition at line 223 of file omAllocDecl.h.

## omTypeRealloc0

#define omTypeRealloc0 | ( |  | o_addr,
|  |  | type,
|  |  | addr,
|  |  | size )

Value:
__omTypeRealloc0(o_addr,type,addr,size)
__omTypeRealloc0
#define __omTypeRealloc0(old_addr, new_type, new_addr, new_size)
Definition omAllocPrivate.h:350

Definition at line 224 of file omAllocDecl.h.

## omTypeRealloc0Aligned

#define omTypeRealloc0Aligned omTypeRealloc0

Definition at line 282 of file omAllocDecl.h.

## omTypeRealloc0AlignedSize

#define omTypeRealloc0AlignedSize omTypeRealloc0Size

Definition at line 277 of file omAllocDecl.h.

## omTypeRealloc0Bin

#define omTypeRealloc0Bin | ( |  | o_addr,
|  |  | o_bin,
|  |  | type,
|  |  | addr,
|  |  | bin )

Value:
__omTypeRealloc0Bin(o_addr,o_bin,type,addr,bin)
__omTypeRealloc0Bin
#define __omTypeRealloc0Bin(old_addr, old_bin, new_type, new_addr, new_bin)
Definition omAllocPrivate.h:190

Definition at line 214 of file omAllocDecl.h.

## omTypeRealloc0Size

#define omTypeRealloc0Size | ( |  | o_addr,
|  |  | o_size,
|  |  | type,
|  |  | addr,
|  |  | size )

Value:
__omTypeRealloc0Size(o_addr,o_size,type,addr,size)
__omTypeRealloc0Size
#define __omTypeRealloc0Size(old_addr, old_size, new_type, new_addr, new_size)
Definition omAllocPrivate.h:354

Definition at line 219 of file omAllocDecl.h.

## omTypeReallocAligned

#define omTypeReallocAligned omTypeRealloc

Definition at line 281 of file omAllocDecl.h.

## omTypeReallocAlignedSize

#define omTypeReallocAlignedSize omTypeReallocSize

Definition at line 276 of file omAllocDecl.h.

## omTypeReallocBin

#define omTypeReallocBin | ( |  | o_addr,
|  |  | o_bin,
|  |  | type,
|  |  | addr,
|  |  | bin )

Value:
__omTypeReallocBin(o_addr,o_bin,type,addr,bin)
__omTypeReallocBin
#define __omTypeReallocBin(old_addr, old_bin, new_type, new_addr, new_bin)
Definition omAllocPrivate.h:172

Definition at line 213 of file omAllocDecl.h.

## omTypeReallocSize

#define omTypeReallocSize | ( |  | o_addr,
|  |  | o_size,
|  |  | type,
|  |  | addr,
|  |  | size )

Value:
__omTypeReallocSize(o_addr,o_size,type,addr,size)
__omTypeReallocSize
#define __omTypeReallocSize(old_addr, old_size, new_type, new_addr, new_size)
Definition omAllocPrivate.h:352

Definition at line 218 of file omAllocDecl.h.

## Function Documentation

## omTestAddr()

omError_t omTestAddr | ( | void * | addr,
|  | int | check_level )

Definition at line 56 of file omDebug.c.

{
return _omDebugAddr(addr,NULL, 0, OM_CLFL);
}
OM_CLFL
#define OM_CLFL
Definition omDebug.c:39
_omDebugAddr
omError_t _omDebugAddr(void *addr, void *bin_size, omTrackFlags_t flags, OM_CFL_DECL)
Definition omDebug.c:278
NULL
#define NULL
Definition omList.c:12

## omtestAddr()

omError_t omtestAddr | ( | void * | addr,
|  | int | check_level )

Definition at line 64 of file omDebug.c.

{
return _omDebugAddr(addr,NULL, OM_FSLOPPY, OM_CLFL);
}
OM_FSLOPPY
#define OM_FSLOPPY
Definition omDebug.h:39

## omTestAddrAligned()

omError_t omTestAddrAligned | ( | void * | addr,
|  | int | check_level )

Definition at line 77 of file omDebug.c.

{
return _omDebugAddr(addr,NULL, OM_FALIGN, OM_CLFL);
}
OM_FALIGN
#define OM_FALIGN
Definition omDebug.h:38

## omtestAddrAligned()

omError_t omtestAddrAligned | ( | void * | addr,
|  | int | check_level )

Definition at line 85 of file omDebug.c.

{
return _omDebugAddr(addr,NULL, OM_FSLOPPY|OM_FALIGN, OM_CLFL);
}

## omTestAddrAlignedBin()

omError_t omTestAddrAlignedBin | ( | void * | addr,
|  | omBin | bin,
|  | int | check_level )

Definition at line 69 of file omDebug.c.

{
return _omDebugAddr(addr,bin,OM_FBIN|OM_FALIGN,OM_CLFL);
}
OM_FBIN
#define OM_FBIN
Definition omDebug.h:32

## omTestAddrAlignedSize()

omError_t omTestAddrAlignedSize | ( | void * | addr,
|  | size_t | size,
|  | int | check_level )

Definition at line 73 of file omDebug.c.

{
return _omDebugAddr(addr,(void*)(size),OM_FSIZE|OM_FALIGN,OM_CLFL);
}
OM_FSIZE
#define OM_FSIZE
Definition omDebug.h:33

## omtestAddrAlignedSize()

omError_t omtestAddrAlignedSize | ( | void * | addr,
|  | size_t | size,
|  | int | check_level )

Definition at line 81 of file omDebug.c.

{
return _omDebugAddr(addr,(void*)(size),OM_FSIZE|OM_FSLOPPY|OM_FALIGN,OM_CLFL);
}

## omTestAddrBin()

omError_t omTestAddrBin | ( | void * | addr,
|  | omBin | bin,
|  | int | check_level )

Definition at line 40 of file omDebug.c.

{
return _omDebugAddr(addr,bin,OM_FBIN,OM_CLFL);
}

## omTestAddrSize()

omError_t omTestAddrSize | ( | void * | addr,
|  | size_t | size,
|  | int | check_level )

Definition at line 48 of file omDebug.c.

{
return _omDebugAddr(addr,(void*)(size),OM_FSIZE,OM_CLFL);
}

## omtestAddrSize()

omError_t omtestAddrSize | ( | void * | addr,
|  | size_t | size,
|  | int | check_level )

Definition at line 60 of file omDebug.c.

{
return _omDebugAddr(addr,(void*)(size),OM_FSIZE|OM_FSLOPPY,OM_CLFL);
}

## omTestBin()

omError_t omTestBin | ( | omBin | bin,
|  | int | check_level )

Definition at line 90 of file omDebug.c.

{
return _omDebugBin(bin, OM_CLFL);
}
_omDebugBin
omError_t _omDebugBin(omBin bin, OM_CFL_DECL)
Definition omDebug.c:293

## omTestBinAddr()

omError_t omTestBinAddr | ( | void * | addr,
|  | int | check_level )

Definition at line 52 of file omDebug.c.

{
return _omDebugAddr(addr,NULL, OM_FBINADDR, OM_CLFL);
}
OM_FBINADDR
#define OM_FBINADDR
Definition omDebug.h:40

## omTestBinAddrSize()

omError_t omTestBinAddrSize | ( | void * | addr,
|  | size_t | size,
|  | int | check_level )

Definition at line 44 of file omDebug.c.

{
return _omDebugAddr(addr,(void*)(size),OM_FSIZE|OM_FBINADDR,OM_CLFL);
}

## omTestMemory()

omError_t omTestMemory | ( | int | check_level | ) |

Definition at line 94 of file omDebug.c.

{
return _omDebugMemory(OM_CLFL);
}
_omDebugMemory
omError_t _omDebugMemory(OM_CFL_DECL)
Definition omDebug.c:286